# List of Type Schema Parsers Supported

The implemented parsers are listed in two tables: [Widgets Parsers](#widgets-parsers "Widgets Parsers") and [Other Objects Parsers](#other-objects-parsers "Other Objects Parsers").
Both tables show:
* In the Parser column, the name of the implemented parser class;
* In the Schema Documentation column, the name of the object, with the link to the JSON schema documentation;
* In the Schema ID column, the URL of the schema.

The documentation of all the schemes used in this version is available at [https://schema.legytma.com.br/2.0.0/docs](https://schema.legytma.com.br/2.0.0/docs "https://schema.legytma.com.br/2.0.0/docs"). The documentation for all versions of the schemes can be accessed through the link [https://schema.legytma.com.br](https://schema.legytma.com.br "https://schema.legytma.com.br").

## Widgets Parsers

Parser | Schema Documentation | Schema ID
--- | --- | ---
[AlignSchemaWidgetParser](lib/parser/align_schema_widget_parser.dart "AlignSchemaWidgetParser") | [`Align`](https://schema.legytma.com.br/2.0.0/docs/align.html "Align") | [`https://schema.legytma.com.br/2.0.0/schema/widget/align.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/align.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/align.schema.json")
[AnimatedContainerSchemaWidgetParser](lib/parser/animated_container_schema_widget_parser.dart "AnimatedContainerSchemaWidgetParser") | [`AnimatedContainer`](https://schema.legytma.com.br/2.0.0/docs/animated_container.html "AnimatedContainer") | [`https://schema.legytma.com.br/2.0.0/schema/widget/animated_container.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/animated_container.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/animated_container.schema.json")
[AppBarSchemaWidgetParser](lib/parser/app_bar_schema_widget_parser.dart "AppBarSchemaWidgetParser") | [`AppBar`](https://schema.legytma.com.br/2.0.0/docs/app_bar.html "AppBar") | [`https://schema.legytma.com.br/2.0.0/schema/widget/app_bar.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/app_bar.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/app_bar.schema.json")
[AspectRatioSchemaWidgetParser](lib/parser/aspect_ratio_schema_widget_parser.dart "AspectRatioSchemaWidgetParser") | [`AspectRatio`](https://schema.legytma.com.br/2.0.0/docs/aspect_ratio.html "AspectRatio") | [`https://schema.legytma.com.br/2.0.0/schema/widget/aspect_ratio.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/aspect_ratio.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/aspect_ratio.schema.json")
[BaselineSchemaWidgetParser](lib/parser/baseline_schema_widget_parser.dart "BaselineSchemaWidgetParser") | [`Baseline`](https://schema.legytma.com.br/2.0.0/docs/base_line.html "Baseline") | [`https://schema.legytma.com.br/2.0.0/schema/widget/base_line.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/base_line.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/base_line.schema.json")
[CardSchemaWidgetParser](lib/parser/card_schema_widget_parser.dart "CardSchemaWidgetParser") | [`Card`](https://schema.legytma.com.br/2.0.0/docs/card.html "Card") | [`https://schema.legytma.com.br/2.0.0/schema/widget/card.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/card.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/card.schema.json")
[CenterSchemaWidgetParser](lib/parser/center_schema_widget_parser.dart "CenterSchemaWidgetParser") | [`Center`](https://schema.legytma.com.br/2.0.0/docs/center.html "Center") | [`https://schema.legytma.com.br/2.0.0/schema/widget/center.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/center.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/center.schema.json")
[CircleAvatarSchemaWidgetParser](lib/parser/circle_avatar_schema_widget_parser.dart "CircleAvatarSchemaWidgetParser") | [`CircleAvatar`](https://schema.legytma.com.br/2.0.0/docs/circle_avatar.html "CircleAvatar") | [`https://schema.legytma.com.br/2.0.0/schema/widget/circle_avatar.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/circle_avatar.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/circle_avatar.schema.json")
[ClipRRectSchemaWidgetParser](lib/parser/clip_r_rect_schema_widget_parser.dart "ClipRRectSchemaWidgetParser") | [`ClipRRect`](https://schema.legytma.com.br/2.0.0/docs/clip_r_rect.html "ClipRRect") | [`https://schema.legytma.com.br/2.0.0/schema/widget/clip_r_rect.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/clip_r_rect.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/clip_r_rect.schema.json")
[ColumnSchemaWidgetParser](lib/parser/column_schema_widget_parser.dart "ColumnSchemaWidgetParser") | [`Column`](https://schema.legytma.com.br/2.0.0/docs/column.html "Column") | [`https://schema.legytma.com.br/2.0.0/schema/widget/column.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/column.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/column.schema.json")
[ContainerSchemaWidgetParser](lib/parser/container_schema_widget_parser.dart "ContainerSchemaWidgetParser") | [`Container`](https://schema.legytma.com.br/2.0.0/docs/container.html "Container") | [`https://schema.legytma.com.br/2.0.0/schema/widget/container.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/container.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/container.schema.json")
[DividerSchemaWidgetParser](lib/parser/divider_schema_widget_parser.dart "DividerSchemaWidgetParser") | [`Divider`](https://schema.legytma.com.br/2.0.0/docs/divider.html "Divider") | [`https://schema.legytma.com.br/2.0.0/schema/widget/divider.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/divider.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/divider.schema.json")
[DrawerHeaderSchemaWidgetParser](lib/parser/drawer_header_schema_widget_parser.dart "DrawerHeaderSchemaWidgetParser") | [`DrawerHeader`](https://schema.legytma.com.br/2.0.0/docs/drawer_header.html "DrawerHeader") | [`https://schema.legytma.com.br/2.0.0/schema/widget/drawer_header.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/drawer_header.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/drawer_header.schema.json")
[DrawerSchemaWidgetParser](lib/parser/drawer_schema_widget_parser.dart "DrawerSchemaWidgetParser") | [`Drawer`](https://schema.legytma.com.br/2.0.0/docs/drawer.html "Drawer") | [`https://schema.legytma.com.br/2.0.0/schema/widget/drawer.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/drawer.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/drawer.schema.json")
[ExpandedSchemaWidgetParser](lib/parser/expanded_schema_widget_parser.dart "ExpandedSchemaWidgetParser") | [`Expanded`](https://schema.legytma.com.br/2.0.0/docs/expanded.html "Expanded") | [`https://schema.legytma.com.br/2.0.0/schema/widget/expanded.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/expanded.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/expanded.schema.json")
[FittedBoxSchemaWidgetParser](lib/parser/fitted_box_schema_widget_parser.dart "FittedBoxSchemaWidgetParser") | [`FittedBox`](https://schema.legytma.com.br/2.0.0/docs/fitted_box.html "FittedBox") | [`https://schema.legytma.com.br/2.0.0/schema/widget/fitted_box.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/fitted_box.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/fitted_box.schema.json")
[FloatingActionButtonSchemaWidgetParser](lib/parser/floating_action_button_schema_widget_parser.dart "FloatingActionButtonSchemaWidgetParser") | [`FloatingActionButton`](https://schema.legytma.com.br/2.0.0/docs/floating_action_button.html "FloatingActionButton") | [`https://schema.legytma.com.br/2.0.0/schema/widget/floating_action_button.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/floating_action_button.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/floating_action_button.schema.json")
[GestureDetectorSchemaWidgetParser](lib/parser/gesture_detector_schema_widget_parser.dart "GestureDetectorSchemaWidgetParser") | [`GestureDetector`](https://schema.legytma.com.br/2.0.0/docs/gesture_detector.html "GestureDetector") | [`https://schema.legytma.com.br/2.0.0/schema/widget/gesture_detector.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/gesture_detector.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/gesture_detector.schema.json")
[GridViewSchemaWidgetParser](lib/parser/grid_view_schema_widget_parser.dart "GridViewSchemaWidgetParser") | [`GridViewWidget`](https://schema.legytma.com.br/2.0.0/docs/grid_view_widget.html "GridViewWidget") | [`https://schema.legytma.com.br/2.0.0/schema/widget/grid_view_widget.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/grid_view_widget.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/grid_view_widget.schema.json")
[IconButtonSchemaWidgetParser](lib/parser/icon_button_schema_widget_parser.dart "IconButtonSchemaWidgetParser") | [`IconButton`](https://schema.legytma.com.br/2.0.0/docs/icon_button.html "IconButton") | [`https://schema.legytma.com.br/2.0.0/schema/widget/icon_button.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/icon_button.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/icon_button.schema.json")
[IconSchemaWidgetParser](lib/parser/icon_schema_widget_parser.dart "IconSchemaWidgetParser") | [`Icon`](https://schema.legytma.com.br/2.0.0/docs/icon.html "Icon") | [`https://schema.legytma.com.br/2.0.0/schema/widget/icon.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/icon.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/icon.schema.json")
[ImageSchemaWidgetParser](lib/parser/image_schema_widget_parser.dart "ImageSchemaWidgetParser") | [`Image`](https://schema.legytma.com.br/2.0.0/docs/image.html "Image") | [`https://schema.legytma.com.br/2.0.0/schema/widget/image.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/image.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/image.schema.json")
[IndexedStackSchemaWidgetParser](lib/parser/indexed_stack_schema_widget_parser.dart "IndexedStackSchemaWidgetParser") | [`IndexedStack`](https://schema.legytma.com.br/2.0.0/docs/indexed_stack.html "IndexedStack") | [`https://schema.legytma.com.br/2.0.0/schema/widget/indexed_stack.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/indexed_stack.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/indexed_stack.schema.json")
[ListTileSchemaWidgetParser](lib/parser/list_tile_schema_widget_parser.dart "ListTileSchemaWidgetParser") | [`ListTile`](https://schema.legytma.com.br/2.0.0/docs/list_tile.html "ListTile") | [`https://schema.legytma.com.br/2.0.0/schema/widget/list_tile.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/list_tile.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/list_tile.schema.json")
[ListViewSchemaWidgetParser](lib/parser/list_view_schema_widget_parser.dart "ListViewSchemaWidgetParser") | [`ListViewWidget`](https://schema.legytma.com.br/2.0.0/docs/list_view_widget.html "ListViewWidget") | [`https://schema.legytma.com.br/2.0.0/schema/widget/list_view_widget.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/list_view_widget.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/list_view_widget.schema.json")
[MaterialAppSchemaWidgetParser](lib/parser/material_app_schema_widget_parser.dart "MaterialAppSchemaWidgetParser") | [`MaterialApp`](https://schema.legytma.com.br/2.0.0/docs/material_app.html "MaterialApp") | [`https://schema.legytma.com.br/2.0.0/schema/widget/material_app.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/material_app.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/material_app.schema.json")
[OpacitySchemaWidgetParser](lib/parser/opacity_schema_widget_parser.dart "OpacitySchemaWidgetParser") | [`Opacity`](https://schema.legytma.com.br/2.0.0/docs/opacity.html "Opacity") | [`https://schema.legytma.com.br/2.0.0/schema/widget/opacity.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/opacity.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/opacity.schema.json")
[PaddingSchemaWidgetParser](lib/parser/padding_schema_widget_parser.dart "PaddingSchemaWidgetParser") | [`Padding`](https://schema.legytma.com.br/2.0.0/docs/padding.html "Padding") | [`https://schema.legytma.com.br/2.0.0/schema/widget/padding.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/padding.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/padding.schema.json")
[PageViewSchemaWidgetParser](lib/parser/page_view_schema_widget_parser.dart "PageViewSchemaWidgetParser") | [`PageView`](https://schema.legytma.com.br/2.0.0/docs/page_view.html "PageView") | [`https://schema.legytma.com.br/2.0.0/schema/widget/page_view.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/page_view.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/page_view.schema.json")
[PlaceholderSchemaWidgetParser](lib/parser/placeholder_schema_widget_parser.dart "PlaceholderSchemaWidgetParser") | [`Placeholder`](https://schema.legytma.com.br/2.0.0/docs/place_holder.html "Placeholder") | [`https://schema.legytma.com.br/2.0.0/schema/widget/place_holder.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/place_holder.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/place_holder.schema.json")
[PositionedSchemaWidgetParser](lib/parser/positioned_schema_widget_parser.dart "PositionedSchemaWidgetParser") | [`Positioned`](https://schema.legytma.com.br/2.0.0/docs/positioned.html "Positioned") | [`https://schema.legytma.com.br/2.0.0/schema/widget/positioned.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/positioned.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/positioned.schema.json")
[RaisedButtonSchemaWidgetParser](lib/parser/raised_button_schema_widget_parser.dart "RaisedButtonSchemaWidgetParser") | [`RaisedButton`](https://schema.legytma.com.br/2.0.0/docs/raised_button.html "RaisedButton") | [`https://schema.legytma.com.br/2.0.0/schema/widget/raised_button.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/raised_button.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/raised_button.schema.json")
[RowSchemaWidgetParser](lib/parser/row_schema_widget_parser.dart "RowSchemaWidgetParser") | [`Row`](https://schema.legytma.com.br/2.0.0/docs/row.html "Row") | [`https://schema.legytma.com.br/2.0.0/schema/widget/row.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/row.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/row.schema.json")
[SafeAreaSchemaWidgetParser](lib/parser/safe_area_schema_widget_parser.dart "SafeAreaSchemaWidgetParser") | [`SafeArea`](https://schema.legytma.com.br/2.0.0/docs/safe_area.html "SafeArea") | [`https://schema.legytma.com.br/2.0.0/schema/widget/safe_area.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/safe_area.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/safe_area.schema.json")
[ScaffoldSchemaWidgetParser](lib/parser/scaffold_schema_widget_parser.dart "ScaffoldSchemaWidgetParser") | [`Scaffold`](https://schema.legytma.com.br/2.0.0/docs/scaffold.html "Scaffold") | [`https://schema.legytma.com.br/2.0.0/schema/widget/scaffold.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/scaffold.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/scaffold.schema.json")
[SizedBoxSchemaWidgetParser](lib/parser/sized_box_schema_widget_parser.dart "SizedBoxSchemaWidgetParser") | [`SizedBox`](https://schema.legytma.com.br/2.0.0/docs/sized_box.html "SizedBox") | [`https://schema.legytma.com.br/2.0.0/schema/widget/sized_box.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/sized_box.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/sized_box.schema.json")
[StackSchemaWidgetParser](lib/parser/stack_schema_widget_parser.dart "StackSchemaWidgetParser") | [`Stack`](https://schema.legytma.com.br/2.0.0/docs/stack.html "Stack") | [`https://schema.legytma.com.br/2.0.0/schema/widget/stack.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/stack.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/stack.schema.json")
[StreamBuilderSchemaWidgetParser](lib/parser/stream_builder_schema_widget_parser.dart "StreamBuilderSchemaWidgetParser") | [`StreamBuilder<dynamic>`](https://schema.legytma.com.br/2.0.0/docs/stream_builder_dynamic.html "StreamBuilder<dynamic>") | [`https://schema.legytma.com.br/2.0.0/schema/widget/stream_builder_dynamic.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/stream_builder_dynamic.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/stream_builder_dynamic.schema.json")
[TextSchemaWidgetParser](lib/parser/text_schema_widget_parser.dart "TextSchemaWidgetParser") | [`Text`](https://schema.legytma.com.br/2.0.0/docs/text.html "Text") | [`https://schema.legytma.com.br/2.0.0/schema/widget/text.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/text.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/text.schema.json")
[WrapSchemaWidgetParser](lib/parser/wrap_schema_widget_parser.dart "WrapSchemaWidgetParser") | [`Wrap`](https://schema.legytma.com.br/2.0.0/docs/wrap.html "Wrap") | [`https://schema.legytma.com.br/2.0.0/schema/widget/wrap.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget/wrap.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget/wrap.schema.json")

## Other Objects Parsers

Parser | Schema Documentation | Schema ID
--- | --- | ---
[AlignmentSchemaParser](lib/parser/type/alignment_schema_parser.dart "AlignmentSchemaParser") | [`Alignment`](https://schema.legytma.com.br/2.0.0/schema/alignment.schema.json "Alignment") | [`https://schema.legytma.com.br/2.0.0/schema/alignment.schema.json`](https://schema.legytma.com.br/2.0.0/schema/alignment.schema.json "https://schema.legytma.com.br/2.0.0/schema/alignment.schema.json")
[AppBarThemeSchemaParser](lib/parser/type/app_bar_theme_schema_parser.dart "AppBarThemeSchemaParser") | [`AppBarTheme`](https://schema.legytma.com.br/2.0.0/schema/app_bar_theme.schema.json "AppBarTheme") | [`https://schema.legytma.com.br/2.0.0/schema/app_bar_theme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/app_bar_theme.schema.json "https://schema.legytma.com.br/2.0.0/schema/app_bar_theme.schema.json")
[AxisSchemaParser](lib/parser/type/axis_schema_parser.dart "AxisSchemaParser") | [`Axis`](https://schema.legytma.com.br/2.0.0/schema/axis.schema.json "Axis") | [`https://schema.legytma.com.br/2.0.0/schema/axis.schema.json`](https://schema.legytma.com.br/2.0.0/schema/axis.schema.json "https://schema.legytma.com.br/2.0.0/schema/axis.schema.json")
[BlendModeSchemaParser](lib/parser/type/blend_mode_schema_parser.dart "BlendModeSchemaParser") | [`BlendMode`](https://schema.legytma.com.br/2.0.0/schema/blend_mode.schema.json "BlendMode") | [`https://schema.legytma.com.br/2.0.0/schema/blend_mode.schema.json`](https://schema.legytma.com.br/2.0.0/schema/blend_mode.schema.json "https://schema.legytma.com.br/2.0.0/schema/blend_mode.schema.json")
[BorderRadiusGeometrySchemaParser](lib/parser/type/border_radius_geometry_schema_parser.dart "BorderRadiusGeometrySchemaParser") | [`BorderRadiusGeometry`](https://schema.legytma.com.br/2.0.0/schema/border_radius_geometry.schema.json "BorderRadiusGeometry") | [`https://schema.legytma.com.br/2.0.0/schema/border_radius_geometry.schema.json`](https://schema.legytma.com.br/2.0.0/schema/border_radius_geometry.schema.json "https://schema.legytma.com.br/2.0.0/schema/border_radius_geometry.schema.json")
[BorderRadiusSchemaParser](lib/parser/type/border_radius_schema_parser.dart "BorderRadiusSchemaParser") | [`BorderRadius`](https://schema.legytma.com.br/2.0.0/schema/border_radius.schema.json "BorderRadius") | [`https://schema.legytma.com.br/2.0.0/schema/border_radius.schema.json`](https://schema.legytma.com.br/2.0.0/schema/border_radius.schema.json "https://schema.legytma.com.br/2.0.0/schema/border_radius.schema.json")
[BorderSchemaParser](lib/parser/type/border_schema_parser.dart "BorderSchemaParser") | [`Border`](https://schema.legytma.com.br/2.0.0/schema/border.schema.json "Border") | [`https://schema.legytma.com.br/2.0.0/schema/border.schema.json`](https://schema.legytma.com.br/2.0.0/schema/border.schema.json "https://schema.legytma.com.br/2.0.0/schema/border.schema.json")
[BorderSideSchemaParser](lib/parser/type/border_side_schema_parser.dart "BorderSideSchemaParser") | [`BorderSide`](https://schema.legytma.com.br/2.0.0/schema/border_side.schema.json "BorderSide") | [`https://schema.legytma.com.br/2.0.0/schema/border_side.schema.json`](https://schema.legytma.com.br/2.0.0/schema/border_side.schema.json "https://schema.legytma.com.br/2.0.0/schema/border_side.schema.json")
[BorderStyleSchemaParser](lib/parser/type/border_style_schema_parser.dart "BorderStyleSchemaParser") | [`BorderStyle`](https://schema.legytma.com.br/2.0.0/schema/border_style.schema.json "BorderStyle") | [`https://schema.legytma.com.br/2.0.0/schema/border_style.schema.json`](https://schema.legytma.com.br/2.0.0/schema/border_style.schema.json "https://schema.legytma.com.br/2.0.0/schema/border_style.schema.json")
[BottomAppBarThemeSchemaParser](lib/parser/type/bottom_app_bar_theme_schema_parser.dart "BottomAppBarThemeSchemaParser") | [`BottomAppBarTheme`](https://schema.legytma.com.br/2.0.0/schema/bottom_app_bar_theme.schema.json "BottomAppBarTheme") | [`https://schema.legytma.com.br/2.0.0/schema/bottom_app_bar_theme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/bottom_app_bar_theme.schema.json "https://schema.legytma.com.br/2.0.0/schema/bottom_app_bar_theme.schema.json")
[BottomSheetThemeDataSchemaParser](lib/parser/type/bottom_sheet_theme_data_schema_parser.dart "BottomSheetThemeDataSchemaParser") | [`BottomSheetThemeData`](https://schema.legytma.com.br/2.0.0/schema/bottom_sheet_theme_data.schema.json "BottomSheetThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/bottom_sheet_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/bottom_sheet_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/bottom_sheet_theme_data.schema.json")
[BoxBorderSchemaParser](lib/parser/type/box_border_schema_parser.dart "BoxBorderSchemaParser") | [`BoxBorder`](https://schema.legytma.com.br/2.0.0/schema/box_border.schema.json "BoxBorder") | [`https://schema.legytma.com.br/2.0.0/schema/box_border.schema.json`](https://schema.legytma.com.br/2.0.0/schema/box_border.schema.json "https://schema.legytma.com.br/2.0.0/schema/box_border.schema.json")
[BoxConstraintsSchemaParser](lib/parser/type/box_constraints_schema_parser.dart "BoxConstraintsSchemaParser") | [`BoxConstraints`](https://schema.legytma.com.br/2.0.0/schema/box_constraints.schema.json "BoxConstraints") | [`https://schema.legytma.com.br/2.0.0/schema/box_constraints.schema.json`](https://schema.legytma.com.br/2.0.0/schema/box_constraints.schema.json "https://schema.legytma.com.br/2.0.0/schema/box_constraints.schema.json")
[BoxDecorationSchemaParser](lib/parser/type/box_decoration_schema_parser.dart "BoxDecorationSchemaParser") | [`BoxDecoration`](https://schema.legytma.com.br/2.0.0/schema/box_decoration.schema.json "BoxDecoration") | [`https://schema.legytma.com.br/2.0.0/schema/box_decoration.schema.json`](https://schema.legytma.com.br/2.0.0/schema/box_decoration.schema.json "https://schema.legytma.com.br/2.0.0/schema/box_decoration.schema.json")
[BoxFitSchemaParser](lib/parser/type/box_fit_schema_parser.dart "BoxFitSchemaParser") | [`BoxFit`](https://schema.legytma.com.br/2.0.0/schema/box_fit.schema.json "BoxFit") | [`https://schema.legytma.com.br/2.0.0/schema/box_fit.schema.json`](https://schema.legytma.com.br/2.0.0/schema/box_fit.schema.json "https://schema.legytma.com.br/2.0.0/schema/box_fit.schema.json")
[BoxShadowSchemaParser](lib/parser/type/box_shadow_schema_parser.dart "BoxShadowSchemaParser") | [`BoxShadow`](https://schema.legytma.com.br/2.0.0/schema/box_shadow.schema.json "BoxShadow") | [`https://schema.legytma.com.br/2.0.0/schema/box_shadow.schema.json`](https://schema.legytma.com.br/2.0.0/schema/box_shadow.schema.json "https://schema.legytma.com.br/2.0.0/schema/box_shadow.schema.json")
[BoxShapeSchemaParser](lib/parser/type/box_shape_schema_parser.dart "BoxShapeSchemaParser") | [`BoxShape`](https://schema.legytma.com.br/2.0.0/schema/box_shape.schema.json "BoxShape") | [`https://schema.legytma.com.br/2.0.0/schema/box_shape.schema.json`](https://schema.legytma.com.br/2.0.0/schema/box_shape.schema.json "https://schema.legytma.com.br/2.0.0/schema/box_shape.schema.json")
[BrightnessSchemaParser](lib/parser/type/brightness_schema_parser.dart "BrightnessSchemaParser") | [`Brightness`](https://schema.legytma.com.br/2.0.0/schema/brightness.schema.json "Brightness") | [`https://schema.legytma.com.br/2.0.0/schema/brightness.schema.json`](https://schema.legytma.com.br/2.0.0/schema/brightness.schema.json "https://schema.legytma.com.br/2.0.0/schema/brightness.schema.json")
[ButtonBarLayoutBehaviorSchemaParser](lib/parser/type/button_bar_layout_behavior_schema_parser.dart "ButtonBarLayoutBehaviorSchemaParser") | [`ButtonBarLayoutBehavior`](https://schema.legytma.com.br/2.0.0/schema/button_bar_layout_behavior.schema.json "ButtonBarLayoutBehavior") | [`https://schema.legytma.com.br/2.0.0/schema/button_bar_layout_behavior.schema.json`](https://schema.legytma.com.br/2.0.0/schema/button_bar_layout_behavior.schema.json "https://schema.legytma.com.br/2.0.0/schema/button_bar_layout_behavior.schema.json")
[ButtonBarThemeDataSchemaParser](lib/parser/type/button_bar_theme_data_schema_parser.dart "ButtonBarThemeDataSchemaParser") | [`ButtonBarThemeData`](https://schema.legytma.com.br/2.0.0/schema/button_bar_theme_data.schema.json "ButtonBarThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/button_bar_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/button_bar_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/button_bar_theme_data.schema.json")
[ButtonTextThemeSchemaParser](lib/parser/type/button_text_theme_schema_parser.dart "ButtonTextThemeSchemaParser") | [`ButtonTextTheme`](https://schema.legytma.com.br/2.0.0/schema/button_text_theme.schema.json "ButtonTextTheme") | [`https://schema.legytma.com.br/2.0.0/schema/button_text_theme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/button_text_theme.schema.json "https://schema.legytma.com.br/2.0.0/schema/button_text_theme.schema.json")
[ButtonThemeDataSchemaParser](lib/parser/type/button_theme_data_schema_parser.dart "ButtonThemeDataSchemaParser") | [`ButtonThemeData`](https://schema.legytma.com.br/2.0.0/schema/button_theme_data.schema.json "ButtonThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/button_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/button_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/button_theme_data.schema.json")
[CardThemeSchemaParser](lib/parser/type/card_theme_schema_parser.dart "CardThemeSchemaParser") | [`CardTheme`](https://schema.legytma.com.br/2.0.0/schema/card_theme.schema.json "CardTheme") | [`https://schema.legytma.com.br/2.0.0/schema/card_theme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/card_theme.schema.json "https://schema.legytma.com.br/2.0.0/schema/card_theme.schema.json")
[ChipThemeDataSchemaParser](lib/parser/type/chip_theme_data_schema_parser.dart "ChipThemeDataSchemaParser") | [`ChipThemeData`](https://schema.legytma.com.br/2.0.0/schema/chip_theme_data.schema.json "ChipThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/chip_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/chip_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/chip_theme_data.schema.json")
[ClipSchemaParser](lib/parser/type/clip_schema_parser.dart "ClipSchemaParser") | [`Clip`](https://schema.legytma.com.br/2.0.0/schema/clip.schema.json "Clip") | [`https://schema.legytma.com.br/2.0.0/schema/clip.schema.json`](https://schema.legytma.com.br/2.0.0/schema/clip.schema.json "https://schema.legytma.com.br/2.0.0/schema/clip.schema.json")
[ColorFilterSchemaParser](lib/parser/type/color_filter_schema_parser.dart "ColorFilterSchemaParser") | [`ColorFilter`](https://schema.legytma.com.br/2.0.0/schema/color_filter.schema.json "ColorFilter") | [`https://schema.legytma.com.br/2.0.0/schema/color_filter.schema.json`](https://schema.legytma.com.br/2.0.0/schema/color_filter.schema.json "https://schema.legytma.com.br/2.0.0/schema/color_filter.schema.json")
[ColorSchemaParser](lib/parser/type/color_schema_parser.dart "ColorSchemaParser") | [`Color`](https://schema.legytma.com.br/2.0.0/schema/color.schema.json "Color") | [`https://schema.legytma.com.br/2.0.0/schema/color.schema.json`](https://schema.legytma.com.br/2.0.0/schema/color.schema.json "https://schema.legytma.com.br/2.0.0/schema/color.schema.json")
[ColorSchemeSchemaParser](lib/parser/type/color_scheme_schema_parser.dart "ColorSchemeSchemaParser") | [`ColorScheme`](https://schema.legytma.com.br/2.0.0/schema/color_scheme.schema.json "ColorScheme") | [`https://schema.legytma.com.br/2.0.0/schema/color_scheme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/color_scheme.schema.json "https://schema.legytma.com.br/2.0.0/schema/color_scheme.schema.json")
[CrossAxisAlignmentSchemaParser](lib/parser/type/cross_axis_alignment_schema_parser.dart "CrossAxisAlignmentSchemaParser") | [`CrossAxisAlignment`](https://schema.legytma.com.br/2.0.0/schema/cross_axis_alignment.schema.json "CrossAxisAlignment") | [`https://schema.legytma.com.br/2.0.0/schema/cross_axis_alignment.schema.json`](https://schema.legytma.com.br/2.0.0/schema/cross_axis_alignment.schema.json "https://schema.legytma.com.br/2.0.0/schema/cross_axis_alignment.schema.json")
[CupertinoTextThemeDataSchemaParser](lib/parser/type/cupertino_text_theme_data_schema_parser.dart "CupertinoTextThemeDataSchemaParser") | [`CupertinoTextThemeData`](https://schema.legytma.com.br/2.0.0/schema/cupertino_text_theme_data.schema.json "CupertinoTextThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/cupertino_text_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/cupertino_text_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/cupertino_text_theme_data.schema.json")
[CupertinoThemeDataSchemaParser](lib/parser/type/cupertino_theme_data_schema_parser.dart "CupertinoThemeDataSchemaParser") | [`CupertinoThemeData`](https://schema.legytma.com.br/2.0.0/schema/cupertino_theme_data.schema.json "CupertinoThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/cupertino_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/cupertino_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/cupertino_theme_data.schema.json")
[CurveSchemaParser](lib/parser/type/curve_schema_parser.dart "CurveSchemaParser") | [`Curve`](https://schema.legytma.com.br/2.0.0/schema/curve.schema.json "Curve") | [`https://schema.legytma.com.br/2.0.0/schema/curve.schema.json`](https://schema.legytma.com.br/2.0.0/schema/curve.schema.json "https://schema.legytma.com.br/2.0.0/schema/curve.schema.json")
[DecorationImageSchemaParser](lib/parser/type/decoration_image_schema_parser.dart "DecorationImageSchemaParser") | [`DecorationImage`](https://schema.legytma.com.br/2.0.0/schema/decoration_image.schema.json "DecorationImage") | [`https://schema.legytma.com.br/2.0.0/schema/decoration_image.schema.json`](https://schema.legytma.com.br/2.0.0/schema/decoration_image.schema.json "https://schema.legytma.com.br/2.0.0/schema/decoration_image.schema.json")
[DecorationSchemaParser](lib/parser/type/decoration_schema_parser.dart "DecorationSchemaParser") | [`Decoration`](https://schema.legytma.com.br/2.0.0/schema/decoration.schema.json "Decoration") | [`https://schema.legytma.com.br/2.0.0/schema/decoration.schema.json`](https://schema.legytma.com.br/2.0.0/schema/decoration.schema.json "https://schema.legytma.com.br/2.0.0/schema/decoration.schema.json")
[DialogThemeSchemaParser](lib/parser/type/dialog_theme_schema_parser.dart "DialogThemeSchemaParser") | [`DialogTheme`](https://schema.legytma.com.br/2.0.0/schema/dialog_theme.schema.json "DialogTheme") | [`https://schema.legytma.com.br/2.0.0/schema/dialog_theme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/dialog_theme.schema.json "https://schema.legytma.com.br/2.0.0/schema/dialog_theme.schema.json")
[DividerThemeDataSchemaParser](lib/parser/type/divider_theme_data_schema_parser.dart "DividerThemeDataSchemaParser") | [`DividerThemeData`](https://schema.legytma.com.br/2.0.0/schema/divider_theme_data.schema.json "DividerThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/divider_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/divider_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/divider_theme_data.schema.json")
[DoubleSchemaParser](lib/parser/type/double_schema_parser.dart "DoubleSchemaParser") | [`double`](https://schema.legytma.com.br/2.0.0/schema/double.schema.json "double") | [`https://schema.legytma.com.br/2.0.0/schema/double.schema.json`](https://schema.legytma.com.br/2.0.0/schema/double.schema.json "https://schema.legytma.com.br/2.0.0/schema/double.schema.json")
[DragStartBehaviorSchemaParser](lib/parser/type/drag_start_behavior_schema_parser.dart "DragStartBehaviorSchemaParser") | [`DragStartBehavior`](https://schema.legytma.com.br/2.0.0/schema/drag_start_behavior.schema.json "DragStartBehavior") | [`https://schema.legytma.com.br/2.0.0/schema/drag_start_behavior.schema.json`](https://schema.legytma.com.br/2.0.0/schema/drag_start_behavior.schema.json "https://schema.legytma.com.br/2.0.0/schema/drag_start_behavior.schema.json")
[DurationSchemaParser](lib/parser/type/duration_schema_parser.dart "DurationSchemaParser") | [`Duration`](https://schema.legytma.com.br/2.0.0/schema/duration.schema.json "Duration") | [`https://schema.legytma.com.br/2.0.0/schema/duration.schema.json`](https://schema.legytma.com.br/2.0.0/schema/duration.schema.json "https://schema.legytma.com.br/2.0.0/schema/duration.schema.json")
[EdgeInsetsGeometrySchemaParser](lib/parser/type/edge_insets_geometry_schema_parser.dart "EdgeInsetsGeometrySchemaParser") | [`EdgeInsetsGeometry`](https://schema.legytma.com.br/2.0.0/schema/edge_insets_geometry.schema.json "EdgeInsetsGeometry") | [`https://schema.legytma.com.br/2.0.0/schema/edge_insets_geometry.schema.json`](https://schema.legytma.com.br/2.0.0/schema/edge_insets_geometry.schema.json "https://schema.legytma.com.br/2.0.0/schema/edge_insets_geometry.schema.json")
[EdgeInsetsSchemaParser](lib/parser/type/edge_insets_schema_parser.dart "EdgeInsetsSchemaParser") | [`EdgeInsets`](https://schema.legytma.com.br/2.0.0/schema/edge_insets.schema.json "EdgeInsets") | [`https://schema.legytma.com.br/2.0.0/schema/edge_insets.schema.json`](https://schema.legytma.com.br/2.0.0/schema/edge_insets.schema.json "https://schema.legytma.com.br/2.0.0/schema/edge_insets.schema.json")
[FilterQualitySchemaParser](lib/parser/type/filter_quality_schema_parser.dart "FilterQualitySchemaParser") | [`FilterQuality`](https://schema.legytma.com.br/2.0.0/schema/filter_quality.schema.json "FilterQuality") | [`https://schema.legytma.com.br/2.0.0/schema/filter_quality.schema.json`](https://schema.legytma.com.br/2.0.0/schema/filter_quality.schema.json "https://schema.legytma.com.br/2.0.0/schema/filter_quality.schema.json")
[FloatingActionButtonAnimatorSchemaParser](lib/parser/type/floating_action_button_animator_schema_parser.dart "FloatingActionButtonAnimatorSchemaParser") | [`FloatingActionButtonAnimator`](https://schema.legytma.com.br/2.0.0/schema/floating_action_button_animator.schema.json "FloatingActionButtonAnimator") | [`https://schema.legytma.com.br/2.0.0/schema/floating_action_button_animator.schema.json`](https://schema.legytma.com.br/2.0.0/schema/floating_action_button_animator.schema.json "https://schema.legytma.com.br/2.0.0/schema/floating_action_button_animator.schema.json")
[FloatingActionButtonLocationSchemaParser](lib/parser/type/floating_action_button_location_schema_parser.dart "FloatingActionButtonLocationSchemaParser") | [`FloatingActionButtonLocation`](https://schema.legytma.com.br/2.0.0/schema/floating_action_button_location.schema.json "FloatingActionButtonLocation") | [`https://schema.legytma.com.br/2.0.0/schema/floating_action_button_location.schema.json`](https://schema.legytma.com.br/2.0.0/schema/floating_action_button_location.schema.json "https://schema.legytma.com.br/2.0.0/schema/floating_action_button_location.schema.json")
[FloatingActionButtonThemeDataSchemaParser](lib/parser/type/floating_action_button_theme_data_schema_parser.dart "FloatingActionButtonThemeDataSchemaParser") | [`FloatingActionButtonThemeData`](https://schema.legytma.com.br/2.0.0/schema/floating_action_button_theme_data.schema.json "FloatingActionButtonThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/floating_action_button_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/floating_action_button_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/floating_action_button_theme_data.schema.json")
[FlutterLogoDecorationSchemaParser](lib/parser/type/flutter_logo_decoration_schema_parser.dart "FlutterLogoDecorationSchemaParser") | [`FlutterLogoDecoration`](https://schema.legytma.com.br/2.0.0/schema/flutter_logo_decoration.schema.json "FlutterLogoDecoration") | [`https://schema.legytma.com.br/2.0.0/schema/flutter_logo_decoration.schema.json`](https://schema.legytma.com.br/2.0.0/schema/flutter_logo_decoration.schema.json "https://schema.legytma.com.br/2.0.0/schema/flutter_logo_decoration.schema.json")
[FlutterLogoStyleSchemaParser](lib/parser/type/flutter_logo_style_schema_parser.dart "FlutterLogoStyleSchemaParser") | [`FlutterLogoStyle`](https://schema.legytma.com.br/2.0.0/schema/flutter_logo_style.schema.json "FlutterLogoStyle") | [`https://schema.legytma.com.br/2.0.0/schema/flutter_logo_style.schema.json`](https://schema.legytma.com.br/2.0.0/schema/flutter_logo_style.schema.json "https://schema.legytma.com.br/2.0.0/schema/flutter_logo_style.schema.json")
[FocusNodeSchemaParser](lib/parser/type/focus_node_schema_parser.dart "FocusNodeSchemaParser") | [`FocusNode`](https://schema.legytma.com.br/2.0.0/schema/focus_node.schema.json "FocusNode") | [`https://schema.legytma.com.br/2.0.0/schema/focus_node.schema.json`](https://schema.legytma.com.br/2.0.0/schema/focus_node.schema.json "https://schema.legytma.com.br/2.0.0/schema/focus_node.schema.json")
[FontStyleSchemaParser](lib/parser/type/font_style_schema_parser.dart "FontStyleSchemaParser") | [`FontStyle`](https://schema.legytma.com.br/2.0.0/schema/font_style.schema.json "FontStyle") | [`https://schema.legytma.com.br/2.0.0/schema/font_style.schema.json`](https://schema.legytma.com.br/2.0.0/schema/font_style.schema.json "https://schema.legytma.com.br/2.0.0/schema/font_style.schema.json")
[FontWeightSchemaParser](lib/parser/type/font_weight_schema_parser.dart "FontWeightSchemaParser") | [`FontWeight`](https://schema.legytma.com.br/2.0.0/schema/font_weight.schema.json "FontWeight") | [`https://schema.legytma.com.br/2.0.0/schema/font_weight.schema.json`](https://schema.legytma.com.br/2.0.0/schema/font_weight.schema.json "https://schema.legytma.com.br/2.0.0/schema/font_weight.schema.json")
[GridViewParamsSchemaParser](lib/parser/type/grid_view_params_schema_parser.dart "GridViewParamsSchemaParser") | [`GridViewParams`](https://schema.legytma.com.br/2.0.0/schema/grid_view_params.schema.json "GridViewParams") | [`https://schema.legytma.com.br/2.0.0/schema/grid_view_params.schema.json`](https://schema.legytma.com.br/2.0.0/schema/grid_view_params.schema.json "https://schema.legytma.com.br/2.0.0/schema/grid_view_params.schema.json")
[IconDataSchemaParser](lib/parser/type/icon_data_schema_parser.dart "IconDataSchemaParser") | [`IconData`](https://schema.legytma.com.br/2.0.0/schema/icon_data.schema.json "IconData") | [`https://schema.legytma.com.br/2.0.0/schema/icon_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/icon_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/icon_data.schema.json")
[IconThemeDataSchemaParser](lib/parser/type/icon_theme_data_schema_parser.dart "IconThemeDataSchemaParser") | [`IconThemeData`](https://schema.legytma.com.br/2.0.0/schema/icon_theme_data.schema.json "IconThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/icon_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/icon_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/icon_theme_data.schema.json")
[ImageProviderDynamicSchemaParser](lib/parser/type/image_provider_dynamic_schema_parser.dart "ImageProviderDynamicSchemaParser") | [`ImageProvider<dynamic>`](https://schema.legytma.com.br/2.0.0/schema/image_provider_dynamic.schema.json "ImageProvider<dynamic>") | [`https://schema.legytma.com.br/2.0.0/schema/image_provider_dynamic.schema.json`](https://schema.legytma.com.br/2.0.0/schema/image_provider_dynamic.schema.json "https://schema.legytma.com.br/2.0.0/schema/image_provider_dynamic.schema.json")
[ImageRepeatSchemaParser](lib/parser/type/image_repeat_schema_parser.dart "ImageRepeatSchemaParser") | [`ImageRepeat`](https://schema.legytma.com.br/2.0.0/schema/image_repeat.schema.json "ImageRepeat") | [`https://schema.legytma.com.br/2.0.0/schema/image_repeat.schema.json`](https://schema.legytma.com.br/2.0.0/schema/image_repeat.schema.json "https://schema.legytma.com.br/2.0.0/schema/image_repeat.schema.json")
[InputDecorationSchemaParser](lib/parser/type/input_decoration_schema_parser.dart "InputDecorationSchemaParser") | [`InputDecoration`](https://schema.legytma.com.br/2.0.0/schema/input_decoration.schema.json "InputDecoration") | [`https://schema.legytma.com.br/2.0.0/schema/input_decoration.schema.json`](https://schema.legytma.com.br/2.0.0/schema/input_decoration.schema.json "https://schema.legytma.com.br/2.0.0/schema/input_decoration.schema.json")
[InputDecorationThemeSchemaParser](lib/parser/type/input_decoration_theme_schema_parser.dart "InputDecorationThemeSchemaParser") | [`InputDecorationTheme`](https://schema.legytma.com.br/2.0.0/schema/input_decoration_theme.schema.json "InputDecorationTheme") | [`https://schema.legytma.com.br/2.0.0/schema/input_decoration_theme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/input_decoration_theme.schema.json "https://schema.legytma.com.br/2.0.0/schema/input_decoration_theme.schema.json")
[IntSchemaParser](lib/parser/type/int_schema_parser.dart "IntSchemaParser") | [`int`](https://schema.legytma.com.br/2.0.0/schema/int.schema.json "int") | [`https://schema.legytma.com.br/2.0.0/schema/int.schema.json`](https://schema.legytma.com.br/2.0.0/schema/int.schema.json "https://schema.legytma.com.br/2.0.0/schema/int.schema.json")
[JsonSchemaSchemaParser](lib/parser/type/json_schema_schema_parser.dart "JsonSchemaSchemaParser") | [`JsonSchema`](https://json-schema.org/draft-06/schema# "JsonSchema") | [`https://json-schema.org/draft-06/schema#`](https://json-schema.org/draft-06/schema# "https://json-schema.org/draft-06/schema#")
[ListBoxShadowSchemaParser](lib/parser/type/list_box_shadow_schema_parser.dart "ListBoxShadowSchemaParser") | [`List<BoxShadow>`](https://schema.legytma.com.br/2.0.0/schema/list_box_shadow.schema.json "List<BoxShadow>") | [`https://schema.legytma.com.br/2.0.0/schema/list_box_shadow.schema.json`](https://schema.legytma.com.br/2.0.0/schema/list_box_shadow.schema.json "https://schema.legytma.com.br/2.0.0/schema/list_box_shadow.schema.json")
[ListDoubleSchemaParser](lib/parser/type/list_double_schema_parser.dart "ListDoubleSchemaParser") | [`List<double>`](https://schema.legytma.com.br/2.0.0/schema/list_double.schema.json "List<double>") | [`https://schema.legytma.com.br/2.0.0/schema/list_double.schema.json`](https://schema.legytma.com.br/2.0.0/schema/list_double.schema.json "https://schema.legytma.com.br/2.0.0/schema/list_double.schema.json")
[ListViewParamsSchemaParser](lib/parser/type/list_view_params_schema_parser.dart "ListViewParamsSchemaParser") | [`ListViewParams`](https://schema.legytma.com.br/2.0.0/schema/list_view_params.schema.json "ListViewParams") | [`https://schema.legytma.com.br/2.0.0/schema/list_view_params.schema.json`](https://schema.legytma.com.br/2.0.0/schema/list_view_params.schema.json "https://schema.legytma.com.br/2.0.0/schema/list_view_params.schema.json")
[ListWidgetSchemaParser](lib/parser/type/list_widget_schema_parser.dart "ListWidgetSchemaParser") | [`List<Widget>`](https://schema.legytma.com.br/2.0.0/schema/list_widget.schema.json "List<Widget>") | [`https://schema.legytma.com.br/2.0.0/schema/list_widget.schema.json`](https://schema.legytma.com.br/2.0.0/schema/list_widget.schema.json "https://schema.legytma.com.br/2.0.0/schema/list_widget.schema.json")
[LocaleSchemaParser](lib/parser/type/locale_schema_parser.dart "LocaleSchemaParser") | [`Locale`](https://schema.legytma.com.br/2.0.0/schema/locale.schema.json "Locale") | [`https://schema.legytma.com.br/2.0.0/schema/locale.schema.json`](https://schema.legytma.com.br/2.0.0/schema/locale.schema.json "https://schema.legytma.com.br/2.0.0/schema/locale.schema.json")
[MainAxisAlignmentSchemaParser](lib/parser/type/main_axis_alignment_schema_parser.dart "MainAxisAlignmentSchemaParser") | [`MainAxisAlignment`](https://schema.legytma.com.br/2.0.0/schema/main_axis_alignment.schema.json "MainAxisAlignment") | [`https://schema.legytma.com.br/2.0.0/schema/main_axis_alignment.schema.json`](https://schema.legytma.com.br/2.0.0/schema/main_axis_alignment.schema.json "https://schema.legytma.com.br/2.0.0/schema/main_axis_alignment.schema.json")
[MainAxisSizeSchemaParser](lib/parser/type/main_axis_size_schema_parser.dart "MainAxisSizeSchemaParser") | [`MainAxisSize`](https://schema.legytma.com.br/2.0.0/schema/main_axis_size.schema.json "MainAxisSize") | [`https://schema.legytma.com.br/2.0.0/schema/main_axis_size.schema.json`](https://schema.legytma.com.br/2.0.0/schema/main_axis_size.schema.json "https://schema.legytma.com.br/2.0.0/schema/main_axis_size.schema.json")
[MaterialBannerThemeDataSchemaParser](lib/parser/type/material_banner_theme_data_schema_parser.dart "MaterialBannerThemeDataSchemaParser") | [`MaterialBannerThemeData`](https://schema.legytma.com.br/2.0.0/schema/material_banner_theme_data.schema.json "MaterialBannerThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/material_banner_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/material_banner_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/material_banner_theme_data.schema.json")
[MaterialColorSchemaParser](lib/parser/type/material_color_schema_parser.dart "MaterialColorSchemaParser") | [`MaterialColor`](https://schema.legytma.com.br/2.0.0/schema/material_color.schema.json "MaterialColor") | [`https://schema.legytma.com.br/2.0.0/schema/material_color.schema.json`](https://schema.legytma.com.br/2.0.0/schema/material_color.schema.json "https://schema.legytma.com.br/2.0.0/schema/material_color.schema.json")
[MaterialTapTargetSizeSchemaParser](lib/parser/type/material_tap_target_size_schema_parser.dart "MaterialTapTargetSizeSchemaParser") | [`MaterialTapTargetSize`](https://schema.legytma.com.br/2.0.0/schema/material_tap_target_size.schema.json "MaterialTapTargetSize") | [`https://schema.legytma.com.br/2.0.0/schema/material_tap_target_size.schema.json`](https://schema.legytma.com.br/2.0.0/schema/material_tap_target_size.schema.json "https://schema.legytma.com.br/2.0.0/schema/material_tap_target_size.schema.json")
[NavigationTypeSchemaParser](lib/parser/type/navigation_type_schema_parser.dart "NavigationTypeSchemaParser") | [`NavigationType`](https://schema.legytma.com.br/2.0.0/schema/navigation_type.schema.json "NavigationType") | [`https://schema.legytma.com.br/2.0.0/schema/navigation_type.schema.json`](https://schema.legytma.com.br/2.0.0/schema/navigation_type.schema.json "https://schema.legytma.com.br/2.0.0/schema/navigation_type.schema.json")
[NetworkImageSchemaParser](lib/parser/type/network_image_schema_parser.dart "NetworkImageSchemaParser") | [`NetworkImage`](https://schema.legytma.com.br/2.0.0/schema/network_image.schema.json "NetworkImage") | [`https://schema.legytma.com.br/2.0.0/schema/network_image.schema.json`](https://schema.legytma.com.br/2.0.0/schema/network_image.schema.json "https://schema.legytma.com.br/2.0.0/schema/network_image.schema.json")
[OffsetSchemaParser](lib/parser/type/offset_schema_parser.dart "OffsetSchemaParser") | [`Offset`](https://schema.legytma.com.br/2.0.0/schema/offset.schema.json "Offset") | [`https://schema.legytma.com.br/2.0.0/schema/offset.schema.json`](https://schema.legytma.com.br/2.0.0/schema/offset.schema.json "https://schema.legytma.com.br/2.0.0/schema/offset.schema.json")
[OverflowSchemaParser](lib/parser/type/overflow_schema_parser.dart "OverflowSchemaParser") | [`Overflow`](https://schema.legytma.com.br/2.0.0/schema/overflow.schema.json "Overflow") | [`https://schema.legytma.com.br/2.0.0/schema/overflow.schema.json`](https://schema.legytma.com.br/2.0.0/schema/overflow.schema.json "https://schema.legytma.com.br/2.0.0/schema/overflow.schema.json")
[PageTransitionsThemeSchemaParser](lib/parser/type/page_transitions_theme_schema_parser.dart "PageTransitionsThemeSchemaParser") | [`PageTransitionsTheme`](https://schema.legytma.com.br/2.0.0/schema/page_transitions_theme.schema.json "PageTransitionsTheme") | [`https://schema.legytma.com.br/2.0.0/schema/page_transitions_theme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/page_transitions_theme.schema.json "https://schema.legytma.com.br/2.0.0/schema/page_transitions_theme.schema.json")
[PopupMenuThemeDataSchemaParser](lib/parser/type/popup_menu_theme_data_schema_parser.dart "PopupMenuThemeDataSchemaParser") | [`PopupMenuThemeData`](https://schema.legytma.com.br/2.0.0/schema/popup_menu_theme_data.schema.json "PopupMenuThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/popup_menu_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/popup_menu_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/popup_menu_theme_data.schema.json")
[PreferredSizeWidgetSchemaParser](lib/parser/type/preferred_size_widget_schema_parser.dart "PreferredSizeWidgetSchemaParser") | [`PreferredSizeWidget`](https://schema.legytma.com.br/2.0.0/schema/preferred_size_widget.schema.json "PreferredSizeWidget") | [`https://schema.legytma.com.br/2.0.0/schema/preferred_size_widget.schema.json`](https://schema.legytma.com.br/2.0.0/schema/preferred_size_widget.schema.json "https://schema.legytma.com.br/2.0.0/schema/preferred_size_widget.schema.json")
[RadiusSchemaParser](lib/parser/type/radius_schema_parser.dart "RadiusSchemaParser") | [`Radius`](https://schema.legytma.com.br/2.0.0/schema/radius.schema.json "Radius") | [`https://schema.legytma.com.br/2.0.0/schema/radius.schema.json`](https://schema.legytma.com.br/2.0.0/schema/radius.schema.json "https://schema.legytma.com.br/2.0.0/schema/radius.schema.json")
[RectSchemaParser](lib/parser/type/rect_schema_parser.dart "RectSchemaParser") | [`Rect`](https://schema.legytma.com.br/2.0.0/schema/rect.schema.json "Rect") | [`https://schema.legytma.com.br/2.0.0/schema/rect.schema.json`](https://schema.legytma.com.br/2.0.0/schema/rect.schema.json "https://schema.legytma.com.br/2.0.0/schema/rect.schema.json")
[ShapeDecorationSchemaParser](lib/parser/type/shape_decoration_schema_parser.dart "ShapeDecorationSchemaParser") | [`ShapeDecoration`](https://schema.legytma.com.br/2.0.0/schema/shape_decoration.schema.json "ShapeDecoration") | [`https://schema.legytma.com.br/2.0.0/schema/shape_decoration.schema.json`](https://schema.legytma.com.br/2.0.0/schema/shape_decoration.schema.json "https://schema.legytma.com.br/2.0.0/schema/shape_decoration.schema.json")
[ShowValueIndicatorSchemaParser](lib/parser/type/show_value_indicator_schema_parser.dart "ShowValueIndicatorSchemaParser") | [`ShowValueIndicator`](https://schema.legytma.com.br/2.0.0/schema/show_value_indicator.schema.json "ShowValueIndicator") | [`https://schema.legytma.com.br/2.0.0/schema/show_value_indicator.schema.json`](https://schema.legytma.com.br/2.0.0/schema/show_value_indicator.schema.json "https://schema.legytma.com.br/2.0.0/schema/show_value_indicator.schema.json")
[SizeSchemaParser](lib/parser/type/size_schema_parser.dart "SizeSchemaParser") | [`Size`](https://schema.legytma.com.br/2.0.0/schema/size.schema.json "Size") | [`https://schema.legytma.com.br/2.0.0/schema/size.schema.json`](https://schema.legytma.com.br/2.0.0/schema/size.schema.json "https://schema.legytma.com.br/2.0.0/schema/size.schema.json")
[SliderThemeDataSchemaParser](lib/parser/type/slider_theme_data_schema_parser.dart "SliderThemeDataSchemaParser") | [`SliderThemeData`](https://schema.legytma.com.br/2.0.0/schema/slider_theme_data.schema.json "SliderThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/slider_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/slider_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/slider_theme_data.schema.json")
[SnackBarBehaviorSchemaParser](lib/parser/type/snack_bar_behavior_schema_parser.dart "SnackBarBehaviorSchemaParser") | [`SnackBarBehavior`](https://schema.legytma.com.br/2.0.0/schema/snack_bar_behavior.schema.json "SnackBarBehavior") | [`https://schema.legytma.com.br/2.0.0/schema/snack_bar_behavior.schema.json`](https://schema.legytma.com.br/2.0.0/schema/snack_bar_behavior.schema.json "https://schema.legytma.com.br/2.0.0/schema/snack_bar_behavior.schema.json")
[SnackBarThemeDataSchemaParser](lib/parser/type/snack_bar_theme_data_schema_parser.dart "SnackBarThemeDataSchemaParser") | [`SnackBarThemeData`](https://schema.legytma.com.br/2.0.0/schema/snack_bar_theme_data.schema.json "SnackBarThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/snack_bar_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/snack_bar_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/snack_bar_theme_data.schema.json")
[StackFitSchemaParser](lib/parser/type/stack_fit_schema_parser.dart "StackFitSchemaParser") | [`StackFit`](https://schema.legytma.com.br/2.0.0/schema/stack_fit.schema.json "StackFit") | [`https://schema.legytma.com.br/2.0.0/schema/stack_fit.schema.json`](https://schema.legytma.com.br/2.0.0/schema/stack_fit.schema.json "https://schema.legytma.com.br/2.0.0/schema/stack_fit.schema.json")
[StrutStyleSchemaParser](lib/parser/type/strut_style_schema_parser.dart "StrutStyleSchemaParser") | [`StrutStyle`](https://schema.legytma.com.br/2.0.0/schema/strut_style.schema.json "StrutStyle") | [`https://schema.legytma.com.br/2.0.0/schema/strut_style.schema.json`](https://schema.legytma.com.br/2.0.0/schema/strut_style.schema.json "https://schema.legytma.com.br/2.0.0/schema/strut_style.schema.json")
[TabBarIndicatorSizeSchemaParser](lib/parser/type/tab_bar_indicator_size_schema_parser.dart "TabBarIndicatorSizeSchemaParser") | [`TabBarIndicatorSize`](https://schema.legytma.com.br/2.0.0/schema/tab_bar_indicator_size.schema.json "TabBarIndicatorSize") | [`https://schema.legytma.com.br/2.0.0/schema/tab_bar_indicator_size.schema.json`](https://schema.legytma.com.br/2.0.0/schema/tab_bar_indicator_size.schema.json "https://schema.legytma.com.br/2.0.0/schema/tab_bar_indicator_size.schema.json")
[TabBarThemeSchemaParser](lib/parser/type/tab_bar_theme_schema_parser.dart "TabBarThemeSchemaParser") | [`TabBarTheme`](https://schema.legytma.com.br/2.0.0/schema/tab_bar_theme.schema.json "TabBarTheme") | [`https://schema.legytma.com.br/2.0.0/schema/tab_bar_theme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/tab_bar_theme.schema.json "https://schema.legytma.com.br/2.0.0/schema/tab_bar_theme.schema.json")
[TargetPlatformSchemaParser](lib/parser/type/target_platform_schema_parser.dart "TargetPlatformSchemaParser") | [`TargetPlatform`](https://schema.legytma.com.br/2.0.0/schema/target_platform.schema.json "TargetPlatform") | [`https://schema.legytma.com.br/2.0.0/schema/target_platform.schema.json`](https://schema.legytma.com.br/2.0.0/schema/target_platform.schema.json "https://schema.legytma.com.br/2.0.0/schema/target_platform.schema.json")
[TextAlignSchemaParser](lib/parser/type/text_align_schema_parser.dart "TextAlignSchemaParser") | [`TextAlign`](https://schema.legytma.com.br/2.0.0/schema/text_align.schema.json "TextAlign") | [`https://schema.legytma.com.br/2.0.0/schema/text_align.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_align.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_align.schema.json")
[TextAlignVerticalSchemaParser](lib/parser/type/text_align_vertical_schema_parser.dart "TextAlignVerticalSchemaParser") | [`TextAlignVertical`](https://schema.legytma.com.br/2.0.0/schema/text_align_vertical.schema.json "TextAlignVertical") | [`https://schema.legytma.com.br/2.0.0/schema/text_align_vertical.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_align_vertical.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_align_vertical.schema.json")
[TextBaselineSchemaParser](lib/parser/type/text_baseline_schema_parser.dart "TextBaselineSchemaParser") | [`TextBaseline`](https://schema.legytma.com.br/2.0.0/schema/text_baseline.schema.json "TextBaseline") | [`https://schema.legytma.com.br/2.0.0/schema/text_baseline.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_baseline.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_baseline.schema.json")
[TextCapitalizationSchemaParser](lib/parser/type/text_capitalization_schema_parser.dart "TextCapitalizationSchemaParser") | [`TextCapitalization`](https://schema.legytma.com.br/2.0.0/schema/text_capitalization.schema.json "TextCapitalization") | [`https://schema.legytma.com.br/2.0.0/schema/text_capitalization.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_capitalization.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_capitalization.schema.json")
[TextDecorationSchemaParser](lib/parser/type/text_decoration_schema_parser.dart "TextDecorationSchemaParser") | [`TextDecoration`](https://schema.legytma.com.br/2.0.0/schema/text_decoration.schema.json "TextDecoration") | [`https://schema.legytma.com.br/2.0.0/schema/text_decoration.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_decoration.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_decoration.schema.json")
[TextDecorationStyleSchemaParser](lib/parser/type/text_decoration_style_schema_parser.dart "TextDecorationStyleSchemaParser") | [`TextDecorationStyle`](https://schema.legytma.com.br/2.0.0/schema/text_decoration_style.schema.json "TextDecorationStyle") | [`https://schema.legytma.com.br/2.0.0/schema/text_decoration_style.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_decoration_style.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_decoration_style.schema.json")
[TextDirectionSchemaParser](lib/parser/type/text_direction_schema_parser.dart "TextDirectionSchemaParser") | [`TextDirection`](https://schema.legytma.com.br/2.0.0/schema/text_direction.schema.json "TextDirection") | [`https://schema.legytma.com.br/2.0.0/schema/text_direction.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_direction.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_direction.schema.json")
[TextInputActionSchemaParser](lib/parser/type/text_input_action_schema_parser.dart "TextInputActionSchemaParser") | [`TextInputAction`](https://schema.legytma.com.br/2.0.0/schema/text_input_action.schema.json "TextInputAction") | [`https://schema.legytma.com.br/2.0.0/schema/text_input_action.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_input_action.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_input_action.schema.json")
[TextInputTypeSchemaParser](lib/parser/type/text_input_type_schema_parser.dart "TextInputTypeSchemaParser") | [`TextInputType`](https://schema.legytma.com.br/2.0.0/schema/text_input_type.schema.json "TextInputType") | [`https://schema.legytma.com.br/2.0.0/schema/text_input_type.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_input_type.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_input_type.schema.json")
[TextOverflowSchemaParser](lib/parser/type/text_overflow_schema_parser.dart "TextOverflowSchemaParser") | [`TextOverflow`](https://schema.legytma.com.br/2.0.0/schema/text_overflow.schema.json "TextOverflow") | [`https://schema.legytma.com.br/2.0.0/schema/text_overflow.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_overflow.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_overflow.schema.json")
[TextSpanSchemaParser](lib/parser/type/text_span_schema_parser.dart "TextSpanSchemaParser") | [`TextSpan`](https://schema.legytma.com.br/2.0.0/schema/text_span.schema.json "TextSpan") | [`https://schema.legytma.com.br/2.0.0/schema/text_span.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_span.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_span.schema.json")
[TextStyleSchemaParser](lib/parser/type/text_style_schema_parser.dart "TextStyleSchemaParser") | [`TextStyle`](https://schema.legytma.com.br/2.0.0/schema/text_style.schema.json "TextStyle") | [`https://schema.legytma.com.br/2.0.0/schema/text_style.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_style.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_style.schema.json")
[TextThemeSchemaParser](lib/parser/type/text_theme_schema_parser.dart "TextThemeSchemaParser") | [`TextTheme`](https://schema.legytma.com.br/2.0.0/schema/text_theme.schema.json "TextTheme") | [`https://schema.legytma.com.br/2.0.0/schema/text_theme.schema.json`](https://schema.legytma.com.br/2.0.0/schema/text_theme.schema.json "https://schema.legytma.com.br/2.0.0/schema/text_theme.schema.json")
[ThemeDataSchemaParser](lib/parser/type/theme_data_schema_parser.dart "ThemeDataSchemaParser") | [`ThemeData`](https://schema.legytma.com.br/2.0.0/schema/theme_data.schema.json "ThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/theme_data.schema.json")
[ThemeModeSchemaParser](lib/parser/type/theme_mode_schema_parser.dart "ThemeModeSchemaParser") | [`ThemeMode`](https://schema.legytma.com.br/2.0.0/schema/theme_mode.schema.json "ThemeMode") | [`https://schema.legytma.com.br/2.0.0/schema/theme_mode.schema.json`](https://schema.legytma.com.br/2.0.0/schema/theme_mode.schema.json "https://schema.legytma.com.br/2.0.0/schema/theme_mode.schema.json")
[ToggleButtonsThemeDataSchemaParser](lib/parser/type/toggle_buttons_theme_data_schema_parser.dart "ToggleButtonsThemeDataSchemaParser") | [`ToggleButtonsThemeData`](https://schema.legytma.com.br/2.0.0/schema/toggle_buttons_theme_data.schema.json "ToggleButtonsThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/toggle_buttons_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/toggle_buttons_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/toggle_buttons_theme_data.schema.json")
[ToolbarOptionsSchemaParser](lib/parser/type/toolbar_options_schema_parser.dart "ToolbarOptionsSchemaParser") | [`ToolbarOptions`](https://schema.legytma.com.br/2.0.0/schema/toolbar_options.schema.json "ToolbarOptions") | [`https://schema.legytma.com.br/2.0.0/schema/toolbar_options.schema.json`](https://schema.legytma.com.br/2.0.0/schema/toolbar_options.schema.json "https://schema.legytma.com.br/2.0.0/schema/toolbar_options.schema.json")
[TooltipThemeDataSchemaParser](lib/parser/type/tooltip_theme_data_schema_parser.dart "TooltipThemeDataSchemaParser") | [`TooltipThemeData`](https://schema.legytma.com.br/2.0.0/schema/tooltip_theme_data.schema.json "TooltipThemeData") | [`https://schema.legytma.com.br/2.0.0/schema/tooltip_theme_data.schema.json`](https://schema.legytma.com.br/2.0.0/schema/tooltip_theme_data.schema.json "https://schema.legytma.com.br/2.0.0/schema/tooltip_theme_data.schema.json")
[TypographySchemaParser](lib/parser/type/typography_schema_parser.dart "TypographySchemaParser") | [`Typography`](https://schema.legytma.com.br/2.0.0/schema/typography.schema.json "Typography") | [`https://schema.legytma.com.br/2.0.0/schema/typography.schema.json`](https://schema.legytma.com.br/2.0.0/schema/typography.schema.json "https://schema.legytma.com.br/2.0.0/schema/typography.schema.json")
[UnderlineTabIndicatorSchemaParser](lib/parser/type/underline_tab_indicator_schema_parser.dart "UnderlineTabIndicatorSchemaParser") | [`UnderlineTabIndicator`](https://schema.legytma.com.br/2.0.0/schema/underline_tab_indicator.schema.json "UnderlineTabIndicator") | [`https://schema.legytma.com.br/2.0.0/schema/underline_tab_indicator.schema.json`](https://schema.legytma.com.br/2.0.0/schema/underline_tab_indicator.schema.json "https://schema.legytma.com.br/2.0.0/schema/underline_tab_indicator.schema.json")
[VerticalDirectionSchemaParser](lib/parser/type/vertical_direction_schema_parser.dart "VerticalDirectionSchemaParser") | [`VerticalDirection`](https://schema.legytma.com.br/2.0.0/schema/vertical_direction.schema.json "VerticalDirection") | [`https://schema.legytma.com.br/2.0.0/schema/vertical_direction.schema.json`](https://schema.legytma.com.br/2.0.0/schema/vertical_direction.schema.json "https://schema.legytma.com.br/2.0.0/schema/vertical_direction.schema.json")
[WidgetSchemaParser](lib/parser/type/widget_schema_parser.dart "WidgetSchemaParser") | [`Widget`](https://schema.legytma.com.br/2.0.0/schema/widget.schema.json "Widget") | [`https://schema.legytma.com.br/2.0.0/schema/widget.schema.json`](https://schema.legytma.com.br/2.0.0/schema/widget.schema.json "https://schema.legytma.com.br/2.0.0/schema/widget.schema.json")
[WrapAlignmentSchemaParser](lib/parser/type/wrap_alignment_schema_parser.dart "WrapAlignmentSchemaParser") | [`WrapAlignment`](https://schema.legytma.com.br/2.0.0/schema/wrap_alignment.schema.json "WrapAlignment") | [`https://schema.legytma.com.br/2.0.0/schema/wrap_alignment.schema.json`](https://schema.legytma.com.br/2.0.0/schema/wrap_alignment.schema.json "https://schema.legytma.com.br/2.0.0/schema/wrap_alignment.schema.json")
[WrapCrossAlignmentSchemaParser](lib/parser/type/wrap_cross_alignment_schema_parser.dart "WrapCrossAlignmentSchemaParser") | [`WrapCrossAlignment`](https://schema.legytma.com.br/2.0.0/schema/wrap_cross_alignment.schema.json "WrapCrossAlignment") | [`https://schema.legytma.com.br/2.0.0/schema/wrap_cross_alignment.schema.json`](https://schema.legytma.com.br/2.0.0/schema/wrap_cross_alignment.schema.json "https://schema.legytma.com.br/2.0.0/schema/wrap_cross_alignment.schema.json")
